function gamma_i=find_gamma(p_real,p_estimate)

[n,r]=size(p_estimate);    % r=17 if gamma is from 2^(-8) to 2^8

%------------------------------------ GKL ----------------------------------------------------------
if strcmp(varargin{1},'GKL')
    p_real=p_real*ones(1,r);
    GKL=sum(p_real.*log(p_estimate)+(1-p_real).*log(1-p_estimate));
    [GKLmax,gamma_i]=max(GKL);
    gamma_i=2^(gamma_i-9);
elseif strcmp(varargin{1},'EGKL')
    p_real=p_real*ones(1,r);
    EGKL=sum( ((p_real+1)/2).*log(p_estimate) + ((1-p_real)/2).*log(1-p_estimate) );
    [EGKLmax, gamma_i]=max(EGKL);
    gamma_i=2^(gamma_i-9);
elseif strcmp(varargin{1},'Tune_error')
    y_tune=p_real*ones(1,r);
    y_estimate=sign(p_estimate-0.5);
    tune=sum(y_tune~=y_estimate);
    [tunemax,gamma_i]=min(tune);
    gamma_i=2^(gamma_i-9);
else
    error('no such criterir');
end
    