function [alpha, beta0]=get_beta(K,y,gamma,pi)


global Result
%--------------------------------------- Parameters Zone ---------------------------------------

[n,dump]=size(y);
p=2;
H=(y*y').*K+eye(n)*1e-5;
f=-ones(n,1);
Aeq=y';beq=0;
lb=zeros(n,1);


ClassI_ind = find(y==1);
ClassII_ind = find(y==-1);

%--------------------------------------- Computation Zone --------------------------------------
if pi==0
    alpha=zeros(n,1);
    beta0=1;
elseif pi==1
    alpha=zeros(n,1);
    beta0=-1;
else
    %------------------------- The upper bound: Gamma, Different from Class ------------------------
    ub = ones(n,1)*gamma;
    ub(ClassI_ind) = ub(ClassI_ind)*(1-pi);
    ub(ClassII_ind) = ub(ClassII_ind)*pi;

    %-------------------------------------- Calculate the alpha ------------------------------------
    x_0 = [];
    Prob = qpAssign(sparse(H), f, Aeq, beq, beq, lb, ub, x_0, 'XinW');
    Prob = ProbCheck(Prob, 'sqopt');
    Result = sqoptTL(Prob);
    alpha=Result.x_k;
    beta1_x=K*(alpha.*y);

    ind=find(alpha>0 & alpha<ub);
    if length(ind)>0
        beta0=mean(1./y(ind)-beta1_x(ind));
    else
        beta0=0;
    end
end
